Bug 172549 - USB device not accepting new address
USB device not accepting new address
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-06 21:10 EST by Dave Theodore
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:51:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages with usb details (2.00 KB, text/plain)
2006-03-08 13:22 EST, Dave Theodore
no flags Details
ehci-hcd /var/log/messages setails (300 bytes, text/plain)
2006-03-08 13:30 EST, Dave Theodore
no flags Details
syslog from reboot (32.45 KB, text/plain)
2006-03-08 15:05 EST, Dave Theodore
no flags Details
dmesg output baseline (14.26 KB, text/plain)
2006-03-08 23:00 EST, Dave Theodore
no flags Details
dmesg output with module load reorder (14.26 KB, text/plain)
2006-03-08 23:02 EST, Dave Theodore
no flags Details
dmesg output after plugging in USB disk (14.66 KB, text/plain)
2006-03-08 23:04 EST, Dave Theodore
no flags Details
/proc/bus/usb/devices (1.69 KB, text/plain)
2006-03-08 23:13 EST, Dave Theodore
no flags Details

  None (edit)
Description Dave Theodore 2005-11-06 21:10:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
USB storage devices are unable to be used.  I have tested this on 2 completely different hardware platforms, but with both running RL3U5 with the stock U5 kernel and also the 2.4.21-37.ELsmp kernel.  The server with the following messges is an Intel 440Gx+ with a VIA USB2 controller and the other machine tested is an HP DL380G4 with an onboard Intel USB2 controller.  Neither USB stick memory tokens nor USB attached IDE disks work.  

Both of these servers, running EL4, work perfectly.


Here is the pertainant portion of dmesg:

usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
ehci-hcd 02:04.2: VIA Technologies, Inc. USB 2.0
ehci-hcd 02:04.2: irq 22, pci mem f88a2800
usb.c: new USB bus registered, assigned bus number 1
PCI: 02:04.2 PCI cache line size set incorrectly (32 bytes) by BIOS/FW.
PCI: 02:04.2 PCI cache line size corrected to 128.
ehci-hcd 02:04.2: USB 2.0 enabled, EHCI 1.00, driver 2003-Jan-22
hub.c: USB hub found
hub.c: 4 ports detected
usb.c: registered new driver hiddev
usb.c: registered new driver hid
hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
hid-core.c: USB HID support drivers
hub.c: new USB device 02:04.2-1, assigned address 2
usb_control/bulk_msg: timeout
usb_control/bulk_msg: timeout
usb_control/bulk_msg: timeout
usb_control/bulk_msg: timeout
usb_control/bulk_msg: timeout
usb.c: USB device not responding, giving up (error=-110)
hub.c: new USB device 02:04.2-1, assigned address 3
usb_control/bulk_msg: timeout
usb.c: USB device not accepting new address=3 (error=-110)

lcpci:

00:00.0 Host bridge: Intel Corporation 440GX - 82443GX Host bridge
00:01.0 PCI bridge: Intel Corporation 440GX - 82443GX AGP bridge
00:0b.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit Ethernet (rev 10)
00:0c.0 SCSI storage controller: Adaptec AIC-7896U2/7897U2
00:0c.1 SCSI storage controller: Adaptec AIC-7896U2/7897U2
00:0e.0 Ethernet controller: Intel Corporation 82557/8/9 [Ethernet Pro 100] (rev 08)
00:12.0 ISA bridge: Intel Corporation 82371AB/EB/MB PIIX4 ISA (rev 02)
00:12.1 IDE interface: Intel Corporation 82371AB/EB/MB PIIX4 IDE (rev 01)
00:12.2 USB Controller: Intel Corporation 82371AB/EB/MB PIIX4 USB (rev 01)
00:12.3 Bridge: Intel Corporation 82371AB/EB/MB PIIX4 ACPI (rev 02)
00:14.0 VGA compatible controller: Cirrus Logic GD 5480 (rev 23)
01:0f.0 PCI bridge: Digital Equipment Corporation DECchip 21150 (rev 06)
02:04.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 61)
02:04.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 61)
02:04.2 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 63)
02:04.3 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller (rev 46)
02:07.0 RAID bus controller: 3ware Inc 3ware Inc 3ware 7xxx/8xxx-series PATA/SATA-RAID (rev 01)

lsmod:

Module                  Size  Used by    Not tainted
nfsd                   86160   8 (autoclean)
lockd                  59600   1 (autoclean) [nfsd]
sunrpc                 89276   1 (autoclean) [nfsd lockd]
ide-cd                 34016   0 (autoclean)
cdrom                  32896   0 (autoclean) [ide-cd]
e100                   29256   0 (unused)
mii                     4088   0 [e100]
r8169                  12552   1
crc32                   3764   0 [r8169]
ipt_LOG                 4280   1 (autoclean)
ipt_state               1080  16 (autoclean)
ip_conntrack           29768   1 (autoclean) [ipt_state]
iptable_filter          2412   1 (autoclean)
ip_tables              16544   3 [ipt_LOG ipt_state iptable_filter]
microcode               6912   0 (autoclean)
keybdev                 2944   0 (unused)
mousedev                5656   0 (unused)
hid                    22532   0 (unused)
input                   6176   0 [keybdev mousedev hid]
ehci-hcd               20776   0 (unused)
usbcore                81152   1 [hid ehci-hcd]
ext3                   90088   6
jbd                    55380   6 [ext3]
aic7xxx_old           121568   1
3w-xxxx                37920   6
sd_mod                 14160  14
scsi_mod              115756   3 [aic7xxx_old 3w-xxxx sd_mod]

Version-Release number of selected component (if applicable):
kernel-smp-2.4.21-37.EL

How reproducible:
Always

Steps to Reproduce:
1. Install USB2 controller
2. Load ehci-hcd module
3. Attach usb storage device
4. Watch dmesg
  

Additional info:
Comment 1 Pete Zaitcev 2005-11-06 21:35:05 EST
What is in /proc/interrupts?

Also, please do not clip dmesg. Attach it to the bug, do not drop in
the comments box.

I suspect that something is wrong with the interrupt routing.
Perhaps BIOSes on these boards only have ACPI tables or something.
Comment 2 Dave Theodore 2005-11-07 00:47:58 EST
$ cat /proc/interrupts
           CPU0       CPU1
  0:     582319     814400    IO-APIC-edge  timer
  1:          0          2    IO-APIC-edge  keyboard
  2:          0          0          XT-PIC  cascade
  8:          1          0    IO-APIC-edge  rtc
 14:         20         14    IO-APIC-edge  ide0
 18:    6157857         20   IO-APIC-level  eth0
 19:         57         57   IO-APIC-level  aic7xxx, aic7xxx
 22:          5          5   IO-APIC-level  ehci-hcd
 23:      24443     157236   IO-APIC-level  3ware Storage Controller
NMI:          0          0
LOC:    1396558    1396556
ERR:          0
MIS:          0
Comment 3 Dave Theodore 2005-11-07 00:50:39 EST
Eh, I have iptables logging to syslog, so there is a LOT of iptables stuff mixed
in with the dmesg.  I'll attach the boot logging and just clip out the iptables
messages.
Comment 4 Dave Theodore 2005-11-07 01:29:05 EST
Nov  6 17:57:26 nucleus syslogd 1.4.1: restart (remote reception).
Nov  6 17:57:26 nucleus syslog: syslogd startup succeeded
Nov  6 17:57:26 nucleus kernel: klogd 1.4.1, log source = /proc/kmsg started.
Nov  6 17:57:26 nucleus kernel: Linux version 2.4.21-37.ELsmp
(bhcompile@tweety.build.redhat.com) (gcc version 3.2.3 20030502 (Red Hat Linux
3.2.3-53)) #1 SMP Wed Sep 7 13:28:55 EDT 2005
Nov  6 17:57:26 nucleus kernel: BIOS-provided physical RAM map:
Nov  6 17:57:26 nucleus kernel:  BIOS-e820: 0000000000000000 - 000000000009ec00
(usable)
Nov  6 17:57:26 nucleus kernel:  BIOS-e820: 000000000009ec00 - 00000000000a0000
(reserved)
Nov  6 17:57:26 nucleus kernel:  BIOS-e820: 00000000000e8000 - 0000000000100000
(reserved)
Nov  6 17:57:26 nucleus kernel:  BIOS-e820: 0000000000100000 - 000000007fff0000
(usable)
Nov  6 17:57:26 nucleus kernel:  BIOS-e820: 000000007fff0000 - 000000007ffffc00
(ACPI data)
Nov  6 17:57:26 nucleus kernel:  BIOS-e820: 000000007ffffc00 - 0000000080000000
(ACPI NVS)
Nov  6 17:57:26 nucleus kernel:  BIOS-e820: 00000000fec00000 - 00000000fec10000
(reserved)
Nov  6 17:57:26 nucleus kernel:  BIOS-e820: 00000000fee00000 - 00000000fee01000
(reserved)
Nov  6 17:57:26 nucleus kernel:  BIOS-e820: 00000000fff80000 - 0000000100000000
(reserved)
Nov  6 17:57:26 nucleus kernel: 1151MB HIGHMEM available.
Nov  6 17:57:26 nucleus kernel: 896MB LOWMEM available.
Nov  6 17:57:26 nucleus syslog: klogd startup succeeded
Nov  6 17:57:26 nucleus kernel: found SMP MP-table at 000f6ab0
Nov  6 17:57:26 nucleus kernel: hm, page 000f6000 reserved twice.
Nov  6 17:57:26 nucleus kernel: hm, page 000f7000 reserved twice.
Nov  6 17:57:26 nucleus kernel: hm, page 0009e000 reserved twice.
Nov  6 17:57:26 nucleus kernel: hm, page 0009f000 reserved twice.
Nov  6 17:57:26 nucleus kernel: NX protection not present; using segment protection
Nov  6 17:57:26 nucleus kernel: On node 0 totalpages: 524272
Nov  6 17:57:26 nucleus kernel: zone(0): 4096 pages.
Nov  6 17:57:26 nucleus kernel: zone(1): 225280 pages.
Nov  6 17:57:26 nucleus kernel: zone(2): 294896 pages.
Nov  6 17:57:26 nucleus kernel: Intel MultiProcessor Specification v1.4
Nov  6 17:57:26 nucleus kernel:     Virtual Wire compatibility mode.
Nov  6 17:57:26 nucleus kernel: OEM ID: INTEL    Product ID: Lancewood    APIC
at: 0xFEE00000
Nov  6 17:57:26 nucleus kernel: Processor #1 Pentium(tm) Pro APIC version 17
Nov  6 17:57:26 nucleus irqbalance: irqbalance startup succeeded
Nov  6 17:57:26 nucleus kernel: Processor #0 Pentium(tm) Pro APIC version 17
Nov  6 17:57:26 nucleus kernel: I/O APIC #2 Version 17 at 0xFEC00000.
Nov  6 17:57:26 nucleus kernel: Processors: 2
Nov  6 17:57:26 nucleus kernel: xAPIC support is not present
Nov  6 17:57:26 nucleus kernel: Enabling APIC mode: Flat.       Using 1 I/O APICs
Nov  6 17:57:26 nucleus kernel:  *** Possibly defective BIOS detected (irqtable)
Nov  6 17:57:26 nucleus kernel:  *** Many BIOSes matching this signature have
incorrect IRQ routing tables.
Nov  6 17:57:26 nucleus kernel:  *** If you see IRQ problems, in particular SCSI
resets and hangs at boot
Nov  6 17:57:26 nucleus kernel:  *** contact your hardware vendor and ask about
updates.
Nov  6 17:57:26 nucleus kernel:  *** Building an SMP kernel may evade the bug
some of the time.
Nov  6 17:57:26 nucleus kernel: Kernel command line: ro root=LABEL=/ vga=5
Nov  6 17:57:27 nucleus kernel: Initializing CPU#0
Nov  6 17:57:27 nucleus kernel: Detected 796.544 MHz processor.
Nov  6 17:57:27 nucleus kernel: Console: colour VGA+ 80x34
Nov  6 17:57:27 nucleus kernel: Calibrating delay loop... 1589.24 BogoMIPS
Nov  6 17:57:27 nucleus kernel: Page-cache hash table entries: 524288 (order: 9,
2048 KB)
Nov  6 17:57:27 nucleus kernel: Page-pin hash table entries: 131072 (order: 7,
512 KB)
Nov  6 17:57:27 nucleus kernel: Dentry cache hash table entries: 262144 (order:
9, 2048 KB)
Nov  6 17:57:27 nucleus kernel: Inode cache hash table entries: 131072 (order:
8, 1024 KB)
Nov  6 17:57:27 nucleus kernel: Buffer cache hash table entries: 131072 (order:
7, 512 KB)
Nov  6 17:57:27 nucleus kernel: Memory: 2050672k/2097088k available (1718k
kernel code, 41800k reserved, 1300k data, 232k init, 1179584k highmem)
Nov  6 17:57:27 nucleus kernel: Mount cache hash table entries: 512 (order: 0,
4096 bytes)
Nov  6 17:57:27 nucleus kernel: CPU: L1 I cache: 16K, L1 D cache: 16K
Nov  6 17:57:27 nucleus kernel: CPU: L2 cache: 256K
Nov  6 17:57:27 nucleus kernel: Intel machine check architecture supported.
Nov  6 17:57:27 nucleus kernel: Intel machine check reporting enabled on CPU#0.
Nov  6 17:57:27 nucleus kernel: Enabling fast FPU save and restore... done.
Nov  6 17:57:27 nucleus kernel: Enabling unmasked SIMD FPU exception support...
done.
Nov  6 17:57:27 nucleus kernel: Checking 'hlt' instruction... OK.
Nov  6 17:57:27 nucleus kernel: POSIX conformance testing by UNIFIX
Nov  6 17:57:27 nucleus kernel: mtrr: v1.40 (20010327) Richard Gooch
(rgooch@atnf.csiro.au)
Nov  6 17:57:27 nucleus kernel: mtrr: detected mtrr type: Intel
Nov  6 17:57:27 nucleus kernel: CPU: L1 I cache: 16K, L1 D cache: 16K
Nov  6 17:57:27 nucleus kernel: CPU: L2 cache: 256K
Nov  6 17:57:27 nucleus kernel: Intel machine check reporting enabled on CPU#0.
Nov  6 17:57:27 nucleus portmap: portmap startup succeeded
Nov  6 17:57:27 nucleus kernel: CPU0: Intel Pentium III (Coppermine) stepping 03
Nov  6 17:57:27 nucleus kernel: per-CPU timeslice cutoff: 731.10 usecs.
Nov  6 17:57:27 nucleus kernel: task migration cache decay timeout: 10 msecs.
Nov  6 17:57:27 nucleus kernel: enabled ExtINT on CPU#0
Nov  6 17:57:27 nucleus kernel: ESR value before enabling vector: 00000000
Nov  6 17:57:27 nucleus kernel: ESR value after enabling vector: 00000000
Nov  6 17:57:27 nucleus kernel: Booting processor 1/0 eip 2000
Nov  6 17:57:27 nucleus kernel: Initializing CPU#1
Nov  6 17:57:27 nucleus kernel: masked ExtINT on CPU#1
Nov  6 17:57:27 nucleus kernel: ESR value before enabling vector: 00000000
Nov  6 17:57:27 nucleus kernel: ESR value after enabling vector: 00000000
Nov  6 17:57:27 nucleus kernel: Calibrating delay loop... 1592.52 BogoMIPS
Nov  6 17:57:27 nucleus kernel: CPU: L1 I cache: 16K, L1 D cache: 16K
Nov  6 17:57:27 nucleus kernel: CPU: L2 cache: 256K
Nov  6 17:57:27 nucleus kernel: Intel machine check reporting enabled on CPU#1.
Nov  6 17:57:27 nucleus kernel: CPU1: Intel Pentium III (Coppermine) stepping 03
Nov  6 17:57:27 nucleus kernel: Total of 2 processors activated (3181.77 BogoMIPS).
Nov  6 17:57:27 nucleus kernel: ENABLING IO-APIC IRQs
Nov  6 17:57:27 nucleus kernel: Setting 2 in the phys_id_present_map
Nov  6 17:57:27 nucleus kernel: ...changing IO-APIC physical APIC ID to 2 ... ok.
Nov  6 17:57:27 nucleus kernel: ..TIMER: vector=0x31 pin1=2 pin2=0
Nov  6 17:57:27 nucleus kernel: testing the IO APIC.......................
Nov  6 17:57:27 nucleus kernel:
Nov  6 17:57:27 nucleus kernel: .................................... done.
Nov  6 17:57:27 nucleus kernel: Using local APIC timer interrupts.
Nov  6 17:57:27 nucleus kernel: calibrating APIC timer ...
Nov  6 17:57:27 nucleus kernel: ..... CPU clock speed is 796.5706 MHz.
Nov  6 17:57:27 nucleus kernel: ..... host bus clock speed is 99.5713 MHz.
Nov  6 17:57:27 nucleus kernel: cpu: 0, clocks: 995713, slice: 331904
Nov  6 17:57:27 nucleus kernel: CPU0<T0:995712,T1:663808,D:0,S:331904,C:995713>
Nov  6 17:57:27 nucleus kernel: cpu: 1, clocks: 995713, slice: 331904
Nov  6 17:57:27 nucleus kernel: CPU1<T0:995712,T1:331904,D:0,S:331904,C:995713>
Nov  6 17:57:27 nucleus kernel: zapping low mappings.
Nov  6 17:57:27 nucleus kernel: Process timing init...done.
Nov  6 17:57:27 nucleus kernel: Starting migration thread for cpu 0
Nov  6 17:57:27 nucleus kernel: Starting migration thread for cpu 1
Nov  6 17:57:27 nucleus kernel: PCI: PCI BIOS revision 2.10 entry at 0xfdab0,
last bus=2
Nov  6 17:57:27 nucleus kernel: PCI: Using configuration type 1
Nov  6 17:57:27 nucleus kernel: PCI: Probing PCI hardware
Nov  6 17:57:27 nucleus kernel: PCI: Using BIOS Interrupt Routing Table
Nov  6 17:57:27 nucleus kernel: PCI: Discovered primary peer bus ff [IRQ]
Nov  6 17:57:27 nucleus rpc.statd[483]: Version 1.0.6 Starting
Nov  6 17:57:27 nucleus kernel: PCI: Using BIOS for IRQ routing
Nov  6 17:57:27 nucleus kernel: PCI->APIC IRQ transform: (B0,I11,P0) -> 18
Nov  6 17:57:27 nucleus kernel: PCI->APIC IRQ transform: (B0,I12,P0) -> 19
Nov  6 17:57:27 nucleus kernel: PCI->APIC IRQ transform: (B0,I12,P0) -> 19
Nov  6 17:57:27 nucleus kernel: PCI->APIC IRQ transform: (B0,I14,P0) -> 21
Nov  6 17:57:27 nucleus nfslock: rpc.statd startup succeeded
Nov  6 17:57:27 nucleus kernel: PCI->APIC IRQ transform: (B0,I18,P3) -> 21
Nov  6 17:57:27 nucleus kernel: PCI->APIC IRQ transform: (B2,I4,P0) -> 20
Nov  6 17:57:27 nucleus kernel: PCI->APIC IRQ transform: (B2,I4,P1) -> 21
Nov  6 17:57:27 nucleus kernel: PCI->APIC IRQ transform: (B2,I4,P2) -> 22
Nov  6 17:57:27 nucleus kernel: PCI->APIC IRQ transform: (B2,I4,P0) -> 20
Nov  6 17:57:27 nucleus kernel: PCI->APIC IRQ transform: (B2,I7,P0) -> 23
Nov  6 17:57:27 nucleus kernel: PCI: Via IRQ fixup for 02:04.0, from 11 to 4
Nov  6 17:57:27 nucleus kernel: PCI: Via IRQ fixup for 02:04.1, from 10 to 5
Nov  6 17:57:27 nucleus kernel: isapnp: Scanning for PnP cards...
Nov  6 17:57:27 nucleus kernel: isapnp: No Plug & Play device found
Nov  6 17:57:27 nucleus kernel: Linux NET4.0 for Linux 2.4
Nov  6 17:57:27 nucleus kernel: Based upon Swansea University Computer Society
NET3.039
Nov  6 17:57:27 nucleus kernel: Initializing RT netlink socket
Nov  6 17:57:27 nucleus kernel: apm: BIOS not found.
Nov  6 17:57:27 nucleus kernel: Total HugeTLB memory allocated, 0
Nov  6 17:57:27 nucleus kernel: Starting kswapd
Nov  6 17:57:27 nucleus kernel: allocated 32 pages and 32 bhs reserved for the
highmem bounces
Nov  6 17:57:27 nucleus kernel: VFS: Disk quotas vdquot_6.5.1
Nov  6 17:57:27 nucleus kernel: aio_setup: num_physpages = 131068
Nov  6 17:57:27 nucleus kernel: aio_setup: sizeof(struct page) = 60
Nov  6 17:57:27 nucleus kernel: Hugetlbfs mounted.
Nov  6 17:57:27 nucleus kernel: pty: 2048 Unix98 ptys configured
Nov  6 17:57:27 nucleus kernel: Serial driver version 5.05c (2001-07-08) with
MANY_PORTS MULTIPORT SHARE_IRQ SERIAL_PCI ISAPNP enabled
Nov  6 17:57:27 nucleus kernel: ttyS0 at 0x03f8 (irq = 4) is a 16550A
Nov  6 17:57:27 nucleus kernel: ttyS1 at 0x02f8 (irq = 3) is a 16550A
Nov  6 17:57:27 nucleus kernel: Real Time Clock Driver v1.10e
Nov  6 17:57:27 nucleus kernel: NET4: Frame Diverter 0.46
Nov  6 17:57:27 nucleus kernel: RAMDISK driver initialized: 256 RAM disks of
8192K size 1024 blocksize
Nov  6 17:57:27 nucleus kernel: Uniform Multi-Platform E-IDE driver Revision:
7.00beta4-2.4
Nov  6 17:57:27 nucleus kernel: ide: Assuming 33MHz system bus speed for PIO
modes; override with idebus=xx
Nov  6 17:57:27 nucleus kernel: PIIX4: IDE controller at PCI slot 00:12.1
Nov  6 17:57:27 nucleus kernel: PIIX4: chipset revision 1
Nov  6 17:57:27 nucleus kernel: PIIX4: not 100% native mode: will probe irqs later
Nov  6 17:57:27 nucleus kernel:     ide0: BM-DMA at 0x2c60-0x2c67, BIOS
settings: hda:DMA, hdb:pio
Nov  6 17:57:27 nucleus random: Initializing random number generator:  succeeded
Nov  6 17:57:27 nucleus kernel:     ide1: BM-DMA at 0x2c68-0x2c6f, BIOS
settings: hdc:pio, hdd:pio
Nov  6 17:57:27 nucleus kernel: hda: CR-4802TE, ATAPI CD/DVD-ROM drive
Nov  6 17:57:27 nucleus kernel: ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Nov  6 17:57:27 nucleus kernel: ide-floppy driver 0.99.newide
Nov  6 17:57:27 nucleus kernel: ide-floppy driver 0.99.newide
Nov  6 17:57:27 nucleus kernel: md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
Nov  6 17:57:27 nucleus kernel: md: Autodetecting RAID arrays.
Nov  6 17:57:27 nucleus kernel: md: autorun ...
Nov  6 17:57:27 nucleus kernel: md: ... autorun DONE.
Nov  6 17:57:27 nucleus kernel: pci_hotplug: PCI Hot Plug PCI Core version: 0.5
Nov  6 17:57:27 nucleus kernel: Initializing Cryptographic API
Nov  6 17:57:27 nucleus kernel: NET4: Linux TCP/IP 1.0 for NET4.0
Nov  6 17:57:27 nucleus kernel: IP: routing cache hash table of 16384 buckets,
128Kbytes
Nov  6 17:57:27 nucleus kernel: TCP: Hash tables configured (established 524288
bind 65536)
Nov  6 17:57:27 nucleus kernel: Linux IP multicast router 0.06 plus PIM-SM
Nov  6 17:57:27 nucleus kernel: Initializing IPsec netlink socket
Nov  6 17:57:27 nucleus kernel: NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
Nov  6 17:57:27 nucleus kernel: RAMDISK: Compressed image found at block 0
Nov  6 17:57:27 nucleus kernel: Freeing initrd memory: 301k freed
Nov  6 17:57:27 nucleus kernel: VFS: Mounted root (ext2 filesystem).
Nov  6 17:57:27 nucleus kernel: SCSI subsystem driver Revision: 1.00
Nov  6 17:57:27 nucleus kernel: 3ware Storage Controller device driver for Linux
v1.02.00.037.
Nov  6 17:57:27 nucleus kernel: scsi0 : Found a 3ware Storage Controller at
0x30c0, IRQ: 23, P-chip: 1.3
Nov  6 17:57:27 nucleus kernel: scsi0 : 3ware Storage Controller
Nov  6 17:57:27 nucleus kernel: blk: queue c36fce18, I/O limit 4095Mb (mask
0xffffffff)
Nov  6 17:57:27 nucleus kernel:   Vendor: 3ware     Model: Logical Disk 0   
Rev: 1.0
Nov  6 17:57:27 nucleus kernel:   Type:   Direct-Access                     
ANSI SCSI revision: 00
Nov  6 17:57:27 nucleus kernel: blk: queue c36fcc18, I/O limit 4095Mb (mask
0xffffffff)
Nov  6 17:57:27 nucleus kernel: Attached scsi disk sda at scsi0, channel 0, id
0, lun 0
Nov  6 17:57:27 nucleus kernel: SCSI device sda: 585938272 512-byte hdwr sectors
(300000 MB)
Nov  6 17:57:27 nucleus kernel: Partition check:
Nov  6 17:57:27 nucleus kernel:  sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 >
Nov  6 17:57:27 nucleus kernel: (scsi1) <Adaptec AIC-7896/7 Ultra2 SCSI host
adapter> found at PCI 0/12/0
Nov  6 17:57:27 nucleus kernel: (scsi1) Wide Channel A, SCSI ID=7, 32/255 SCBs
Nov  6 17:57:27 nucleus kernel: (scsi1) Downloading sequencer code... 393
instructions downloaded
Nov  6 17:57:27 nucleus kernel: (scsi2) <Adaptec AIC-7896/7 Ultra2 SCSI host
adapter> found at PCI 0/12/1
Nov  6 17:57:27 nucleus kernel: (scsi2) Wide Channel B, SCSI ID=7, 32/255 SCBs
Nov  6 17:57:27 nucleus kernel: (scsi2) Downloading sequencer code... 393
instructions downloaded
Nov  6 17:57:27 nucleus kernel: scsi1 : Adaptec AHA274x/284x/294x
(EISA/VLB/PCI-Fast SCSI) 5.2.4/5.2.0
Nov  6 17:57:27 nucleus kernel:        <Adaptec AIC-7896/7 Ultra2 SCSI host adapter>
Nov  6 17:57:27 nucleus kernel: scsi2 : Adaptec AHA274x/284x/294x
(EISA/VLB/PCI-Fast SCSI) 5.2.4/5.2.0
Nov  6 17:57:27 nucleus kernel:        <Adaptec AIC-7896/7 Ultra2 SCSI host adapter>
Nov  6 17:57:27 nucleus kernel: blk: queue c4e40218, I/O limit 4095Mb (mask
0xffffffff)
Nov  6 17:57:27 nucleus kernel: blk: queue c3696018, I/O limit 4095Mb (mask
0xffffffff)
Nov  6 17:57:27 nucleus kernel: (scsi2:0:1:0) Synchronous at 40.0 Mbyte/sec,
offset 63.
Nov  6 17:57:27 nucleus netfs: Mounting other filesystems:  succeeded
Nov  6 17:57:27 nucleus kernel:   Vendor: COMPAQ    Model: BD07285A25       
Rev: HPB6
Nov  6 17:57:27 nucleus kernel:   Type:   Direct-Access                     
ANSI SCSI revision: 03
Nov  6 17:57:27 nucleus kernel: blk: queue c4e40018, I/O limit 4095Mb (mask
0xffffffff)
Nov  6 17:57:27 nucleus kernel: Attached scsi disk sdb at scsi2, channel 0, id
1, lun 0
Nov  6 17:57:27 nucleus kernel: SCSI device sdb: 142264000 512-byte hdwr sectors
(72839 MB)
Nov  6 17:57:27 nucleus kernel:  sdb: sdb1
Nov  6 17:57:27 nucleus kernel: Journalled Block Device driver loaded
Nov  6 17:57:27 nucleus kernel: kjournald starting.  Commit interval 5 seconds
Nov  6 17:57:27 nucleus kernel: EXT3-fs: mounted filesystem with ordered data mode.
Nov  6 17:57:27 nucleus kernel: Freeing unused kernel memory: 232k freed
Nov  6 17:57:27 nucleus kernel: usb.c: registered new driver usbdevfs
Nov  6 17:57:27 nucleus kernel: usb.c: registered new driver hub
Nov  6 17:57:27 nucleus kernel: ehci-hcd 02:04.2: VIA Technologies, Inc. USB 2.0
Nov  6 17:57:27 nucleus kernel: ehci-hcd 02:04.2: irq 22, pci mem f88a2800
Nov  6 17:57:27 nucleus kernel: usb.c: new USB bus registered, assigned bus number 1
Nov  6 17:57:27 nucleus kernel: ehci-hcd 02:04.2: USB 2.0 enabled, EHCI 1.00,
driver 2003-Jan-22
Nov  6 17:57:27 nucleus kernel: hub.c: USB hub found
Nov  6 17:57:27 nucleus kernel: hub.c: 4 ports detected
Nov  6 17:57:27 nucleus kernel: usb.c: registered new driver hiddev
Nov  6 17:57:27 nucleus kernel: usb.c: registered new driver hid
Nov  6 17:57:27 nucleus kernel: hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik
<vojtech@suse.cz>
Nov  6 17:57:27 nucleus smartd[517]: smartd version 5.1-11 Copyright (C) 2002-3
Bruce Allen
Nov  6 17:57:27 nucleus kernel: hid-core.c: USB HID support drivers
Nov  6 17:57:27 nucleus smartd[517]: Home page is
http://smartmontools.sourceforge.net/
Nov  6 17:57:27 nucleus smartd[517]: Using configuration file /etc/smartd.conf
Nov  6 17:57:27 nucleus kernel: mice: PS/2 mouse device common for all mice
Nov  6 17:57:27 nucleus kernel: EXT3 FS 2.4-0.9.19, 19 August 2002 on sd(8,3),
internal journal
Nov  6 17:57:27 nucleus kernel: Adding Swap: 1052216k swap-space (priority -1)
Nov  6 17:57:27 nucleus kernel: hub.c: new USB device 02:04.2-1, assigned address 2
Nov  6 17:57:27 nucleus kernel: kjournald starting.  Commit interval 5 seconds
Nov  6 17:57:27 nucleus kernel: EXT3 FS 2.4-0.9.19, 19 August 2002 on sd(8,1),
internal journal
Nov  6 17:57:27 nucleus kernel: EXT3-fs: mounted filesystem with ordered data mode.
Nov  6 17:57:27 nucleus kernel: kjournald starting.  Commit interval 5 seconds
Nov  6 17:57:27 nucleus kernel: EXT3 FS 2.4-0.9.19, 19 August 2002 on sd(8,7),
internal journal
Nov  6 17:57:27 nucleus kernel: EXT3-fs: mounted filesystem with ordered data mode.
Nov  6 17:57:27 nucleus kernel: kjournald starting.  Commit interval 5 seconds
Nov  6 17:57:27 nucleus kernel: EXT3 FS 2.4-0.9.19, 19 August 2002 on sd(8,6),
internal journal
Nov  6 17:57:27 nucleus kernel: EXT3-fs: mounted filesystem with ordered data mode.
Nov  6 17:57:27 nucleus kernel: kjournald starting.  Commit interval 5 seconds
Nov  6 17:57:27 nucleus kernel: EXT3 FS 2.4-0.9.19, 19 August 2002 on sd(8,2),
internal journal
Nov  6 17:57:27 nucleus kernel: EXT3-fs: mounted filesystem with ordered data mode.
Nov  6 17:57:27 nucleus kernel: kjournald starting.  Commit interval 5 seconds
Nov  6 17:57:27 nucleus kernel: EXT3-fs warning: checktime reached, running
e2fsck is recommended
Nov  6 17:57:27 nucleus kernel: EXT3 FS 2.4-0.9.19, 19 August 2002 on sd(8,17),
internal journal
Nov  6 17:57:27 nucleus kernel: EXT3-fs: mounted filesystem with ordered data mode.
Nov  6 17:57:27 nucleus kernel: IA-32 Microcode Update Driver: v1.13
<tigran@veritas.com>
Nov  6 17:57:27 nucleus smartd[517]: Device: /dev/hda, opened
Nov  6 17:57:27 nucleus kernel: microcode: CPU0 already at revision 0x13
(current=0x13)
Nov  6 17:57:27 nucleus kernel: microcode: CPU1 already at revision 0x13
(current=0x13)
Nov  6 17:57:27 nucleus kernel: microcode: No suitable data for cpu 1
Nov  6 17:57:27 nucleus kernel: microcode: No suitable data for cpu 0
Nov  6 17:57:27 nucleus smartd[517]: Device: /dev/hda, not found in smartd database.
Nov  6 17:57:27 nucleus kernel: ip_tables: (C) 2000-2002 Netfilter core team
Nov  6 17:57:27 nucleus smartd[517]: Device: /dev/hda, appears to lack SMART,
use '-T permissive' Directive to try anyway.
Nov  6 17:57:27 nucleus kernel: ip_conntrack version 2.1 (8192 buckets, 65536
max) - 304 bytes per conntrack
Nov  6 17:57:27 nucleus smartd[517]: Unable to register ATA device /dev/hda at
line 30 of file /etc/smartd.conf
Nov  6 17:57:27 nucleus kernel: usb_control/bulk_msg: timeout
Nov  6 17:57:27 nucleus smartd[517]: Unable to register device /dev/hda - exiting.
Nov  6 17:57:27 nucleus kernel: r8169 Gigabit Ethernet driver 1.2 loaded
Nov  6 17:57:27 nucleus smartd: smartd startup failed
Nov  6 17:57:28 nucleus kernel: eth0: RTL8169 at 0xf8982000, 00:40:f4:bb:25:06,
IRQ 18
Nov  6 17:57:28 nucleus kernel: eth0: Auto-negotiation Enabled.
Nov  6 17:57:28 nucleus kernel: eth0: 1000Mbps Full-duplex operation.
Nov  6 17:57:28 nucleus kernel: usb_control/bulk_msg: timeout
Nov  6 17:57:28 nucleus kernel: e100: Intel(R) PRO/100 Network Driver, 3.4.8-k2-NAPI
Nov  6 17:57:28 nucleus kernel: e100: Copyright(c) 1999-2004 Intel Corporation
Nov  6 17:57:28 nucleus kernel: e100: eth1: e100_probe: addr 0xf4102000, irq 21,
MAC addr 00:D0:B7:A9:C5:D9
Nov  6 17:57:28 nucleus kernel: ide-floppy driver 0.99.newide
Nov  6 17:57:28 nucleus kernel: hda: attached ide-cdrom driver.
Nov  6 17:57:28 nucleus kernel: hda: ATAPI 8X CD-ROM CD-R/RW drive, 2048kB
Cache, DMA
Nov  6 17:57:28 nucleus kernel: Uniform CD-ROM driver Revision: 3.12
Nov  6 17:57:28 nucleus kernel: hda: drive_cmd: status=0x51 { DriveReady
SeekComplete Error }
Nov  6 17:57:28 nucleus kernel: hda: drive_cmd: error=0x04Aborted Command
Nov  6 17:57:28 nucleus sshd[528]: Server listening on 0.0.0.0 port 22.
Nov  6 17:57:28 nucleus sshd:  succeeded
Nov  6 17:57:28 nucleus xinetd: xinetd startup succeeded
Nov  6 17:57:14 nucleus rc.sysinit: -e
Nov  6 17:57:14 nucleus sysctl: net.ipv4.ip_forward = 0
Nov  6 17:57:14 nucleus sysctl: net.ipv4.conf.default.rp_filter = 1
Nov  6 17:57:14 nucleus sysctl: kernel.sysrq = 0
Nov  6 17:57:14 nucleus sysctl: kernel.core_uses_pid = 1
Nov  6 17:57:14 nucleus sysctl: dev.raid.speed_limit_max = 100
Nov  6 17:57:14 nucleus sysctl: vm.min-readahead = 128
Nov  6 17:57:14 nucleus sysctl: vm.max-readahead = 256
Nov  6 17:57:14 nucleus sysctl: net.core.rmem_max = 8388608
Nov  6 17:57:14 nucleus sysctl: net.core.wmem_max = 8388608
Nov  6 17:57:14 nucleus sysctl: net.core.rmem_default = 65536
Nov  6 17:57:14 nucleus sysctl: net.core.wmem_default = 65536
Nov  6 17:57:14 nucleus sysctl: net.ipv4.tcp_rmem = 4096 87380 8388608
Nov  6 17:57:14 nucleus sysctl: net.ipv4.tcp_wmem = 4096 65536 8388608
Nov  6 17:57:14 nucleus sysctl: dev.rtc.max-user-freq = 1024
Nov  6 17:57:14 nucleus rc.sysinit: Configuring kernel parameters:  succeeded
Nov  6 17:57:14 nucleus date: Sun Nov  6 17:57:13 PST 2005
Nov  6 17:57:14 nucleus rc.sysinit: Setting clock  (localtime): Sun Nov  6
17:57:13 PST 2005 succeeded
Nov  6 17:57:29 nucleus kernel: usb_control/bulk_msg: timeout
Nov  6 17:57:29 nucleus ntpd:  succeeded
Nov  6 17:57:14 nucleus rc.sysinit: Setting hostname nucleus.baautox.com:  succeeded
Nov  6 17:57:29 nucleus ntpd:  succeeded
Nov  6 17:57:14 nucleus rc.sysinit: Initializing USB controller (ehci-hcd): 
succeeded
Nov  6 17:57:14 nucleus rc.sysinit: Mounting USB filesystem:  succeeded
Nov  6 17:57:14 nucleus rc.sysinit: Initializing USB HID interface:  succeeded
Nov  6 17:57:14 nucleus rc.sysinit: Initializing USB keyboard:  succeeded
Nov  6 17:57:29 nucleus ntpd:  succeeded
Nov  6 17:57:14 nucleus rc.sysinit: Initializing USB mouse:  succeeded
Nov  6 17:57:14 nucleus fsck: /: clean, 94032/384000 files, 493476/767103 blocks
Nov  6 17:57:14 nucleus rc.sysinit: Checking root filesystem succeeded
Nov  6 17:57:14 nucleus rc.sysinit: Remounting root filesystem in read-write
mode:  succeeded
Nov  6 17:57:14 nucleus rc.sysinit: Activating swap partitions:  succeeded
Nov  6 17:57:14 nucleus rc.sysinit: Finding module dependencies:  succeeded
Nov  6 17:57:14 nucleus fsck: /boot: clean, 45/26104 files, 24998/104391 blocks
Nov  6 17:57:15 nucleus fsck: /data: clean, 41203/35520512 files,
63314846/71029381 blocks
Nov  6 17:57:15 nucleus fsck: /tmp: clean, 25/130560 files, 24825/522081 blocks
Nov  6 17:57:15 nucleus fsck: /var: clean, 4341/513024 files, 621586/1024143 blocks
Nov  6 17:57:15 nucleus rc.sysinit: Checking filesystems succeeded
Nov  6 17:57:15 nucleus rc.sysinit: Mounting local filesystems:  succeeded
Nov  6 17:57:16 nucleus rc.sysinit: Enabling swap space:  succeeded
Nov  6 17:57:16 nucleus /etc/hotplug/usb.agent: Setup usbcore for USB product
0/0/204
Nov  6 17:57:16 nucleus /etc/hotplug/usb.agent: Setup usbcore for USB product
0/0/204
Nov  6 17:57:18 nucleus init: Entering runlevel: 3
Nov  6 17:57:18 nucleus microcode_ctl: microcode_ctl startup succeeded
Nov  6 17:57:18 nucleus iptables:  succeeded
Nov  6 17:57:18 nucleus sysctl: net.ipv4.ip_forward = 0
Nov  6 17:57:18 nucleus sysctl: net.ipv4.conf.default.rp_filter = 1
Nov  6 17:57:18 nucleus sysctl: kernel.sysrq = 0
Nov  6 17:57:18 nucleus sysctl: kernel.core_uses_pid = 1
Nov  6 17:57:18 nucleus sysctl: dev.raid.speed_limit_max = 100
Nov  6 17:57:18 nucleus sysctl: vm.min-readahead = 128
Nov  6 17:57:18 nucleus sysctl: vm.max-readahead = 256
Nov  6 17:57:18 nucleus sysctl: net.core.rmem_max = 8388608
Nov  6 17:57:18 nucleus sysctl: net.core.wmem_max = 8388608
Nov  6 17:57:18 nucleus sysctl: net.core.rmem_default = 65536
Nov  6 17:57:18 nucleus sysctl: net.core.wmem_default = 65536
Nov  6 17:57:18 nucleus sysctl: net.ipv4.tcp_rmem = 4096 87380 8388608
Nov  6 17:57:18 nucleus sysctl: net.ipv4.tcp_wmem = 4096 65536 8388608
Nov  6 17:57:18 nucleus sysctl: dev.rtc.max-user-freq = 1024
Nov  6 17:57:18 nucleus network: Setting network parameters:  succeeded
Nov  6 17:57:19 nucleus network: Bringing up loopback interface:  succeeded
Nov  6 17:57:26 nucleus network: Bringing up interface eth0:  succeeded
Nov  6 17:57:29 nucleus ntpd:  succeeded
Nov  6 17:57:30 nucleus xinetd[542]: xinetd Version 2.3.12 started with libwrap
loadavg options compiled in.
Nov  6 17:57:30 nucleus xinetd[542]: Started working: 1 available service
Nov  6 17:57:29 nucleus ntpdate[565]: step time server 66.187.224.4 offset
-0.633518 sec
Nov  6 17:57:29 nucleus ntpd:  succeeded
Nov  6 17:57:29 nucleus ntpd[569]: ntpd 4.1.2@1.892 Fri May 14 18:20:05 EDT 2004 (1)
Nov  6 17:57:29 nucleus ntpd: ntpd startup succeeded
Nov  6 17:57:29 nucleus ntpd[569]: precision = 8 usec
Nov  6 17:57:29 nucleus ntpd[569]: kernel time discipline status 0040
Nov  6 17:57:29 nucleus ntpd[569]: frequency initialized 0.000 from
/var/lib/ntp/drift
Nov  6 17:57:29 nucleus exportfs[578]: /etc/exports [1]: No 'sync' or 'async'
option specified for export "encoder:/data".   Assuming default behaviour
('sync').   NOTE: this default has changed from previous versions
Nov  6 17:57:29 nucleus exportfs[578]: /etc/exports [2]: No 'sync' or 'async'
option specified for export "encoder:/data/encoded".   Assuming default
behaviour ('sync').   NOTE: this default has changed from previous versions
Nov  6 17:57:29 nucleus exportfs[578]: /etc/exports [3]: No 'sync' or 'async'
option specified for export "dvr:/home/dtheodor".   Assuming default behaviour
('sync').   NOTE: this default has changed from previous versions
Nov  6 17:57:29 nucleus exportfs: exportfs: /etc/exports [1]: No 'sync' or
'async' option specified for export "encoder:/data".
Nov  6 17:57:29 nucleus exportfs:   Assuming default behaviour ('sync').
Nov  6 17:57:29 nucleus exportfs:   NOTE: this default has changed from previous
versions
Nov  6 17:57:29 nucleus exportfs: exportfs: /etc/exports [2]: No 'sync' or
'async' option specified for export "encoder:/data/encoded".
Nov  6 17:57:29 nucleus exportfs:   Assuming default behaviour ('sync').
Nov  6 17:57:29 nucleus exportfs:   NOTE: this default has changed from previous
versions
Nov  6 17:57:29 nucleus exportfs: exportfs: /etc/exports [3]: No 'sync' or
'async' option specified for export "dvr:/home/dtheodor".
Nov  6 17:57:29 nucleus exportfs:   Assuming default behaviour ('sync').
Nov  6 17:57:29 nucleus exportfs:   NOTE: this default has changed from previous
versions
Nov  6 17:57:30 nucleus kernel: Installing knfsd (copyright (C) 1996
okir@monad.swb.de).
Nov  6 17:57:30 nucleus nfs: Starting NFS services:  succeeded
Nov  6 17:57:30 nucleus nfs: rpc.nfsd startup succeeded
Nov  6 17:57:30 nucleus nfs: rpc.mountd startup succeeded
Nov  6 17:57:31 nucleus mysqld: Starting MySQL:  succeeded
Nov  6 17:57:32 nucleus sendmail: sendmail startup succeeded
Nov  6 17:57:32 nucleus sendmail: sm-client startup succeeded
Nov  6 17:57:33 nucleus kernel: usb_control/bulk_msg: timeout
Nov  6 17:57:34 nucleus httpd: httpd startup succeeded
Nov  6 17:57:34 nucleus crond: crond startup succeeded
Nov  6 17:57:34 nucleus xfs: xfs startup succeeded
Nov  6 17:57:35 nucleus smb: smbd startup succeeded
Nov  6 17:57:35 nucleus nmbd[736]: [2005/11/06 17:57:35, 0]
nmbd/nmbd_become_dmb.c:become_domain_master_browser_bcast(282)
Nov  6 17:57:35 nucleus nmbd[736]:   become_domain_master_browser_bcast:
Nov  6 17:57:35 nucleus nmbd[736]:   Attempting to become domain master browser
on workgroup NT on subnet 192.168.10.253
Nov  6 17:57:35 nucleus nmbd[736]: [2005/11/06 17:57:35, 0]
nmbd/nmbd_become_dmb.c:become_domain_master_browser_bcast(295)
Nov  6 17:57:35 nucleus nmbd[736]:   become_domain_master_browser_bcast:
querying subnet 192.168.10.253 for domain master browser on workgroup NT
Nov  6 17:57:36 nucleus atd: atd startup succeeded
Nov  6 17:57:38 nucleus kernel: usb_control/bulk_msg: timeout
Nov  6 17:57:38 nucleus kernel: usb.c: USB device not responding, giving up
(error=-110)
Nov  6 17:57:38 nucleus kernel: hub.c: new USB device 02:04.2-1, assigned address 3
Nov  6 17:57:43 nucleus kernel: usb_control/bulk_msg: timeout
Nov  6 17:57:43 nucleus kernel: usb.c: USB device not accepting new address=3
(error=-110)
Nov  6 17:57:43 nucleus nmbd[736]: [2005/11/06 17:57:43, 0]
nmbd/nmbd_become_dmb.c:become_domain_master_stage2(113)
Nov  6 17:57:43 nucleus nmbd[736]:   *****
Nov  6 17:57:43 nucleus nmbd[736]:
Nov  6 17:57:43 nucleus nmbd[736]:   Samba server NUCLEUS is now a domain master
browser for workgroup NT on subnet 192.168.10.253
Nov  6 17:57:43 nucleus nmbd[736]:
Nov  6 17:57:43 nucleus nmbd[736]:   *****
Comment 5 Dave Theodore 2006-03-07 19:15:00 EST
Any movement on this?  I'd like to be able to use a USB disk on these machines.
Comment 6 Pete Zaitcev 2006-03-07 19:32:03 EST
I didn't look at it much, the problem didn't see serious.

From the looks of /proc/interrupts (and, later, the logs) it seems that
a) the UHCI's driver is not loaded, and b) EHCI is trying to drive devices
and fails (naturally). It's probably a matter of "modprobe usb-uhci",
unless issues with interrupt routing and bus sharing get in the way.
Comment 7 Ken Sheldon 2006-03-07 19:46:24 EST
The same problem occurs with other devices.  I see this with a Treo600.  Running
"modprobe usb-uhci" has no obvious effect on the behavior.
Comment 8 Pete Zaitcev 2006-03-07 21:10:12 EST
Ken, I saw no evidence that your problem has anything in common with Dave's
(no evidence of any sort, in fact). You got a -110? Quit googling for error
messages, now! There may be a thousand reasons why you get a timeout.
It would be best for you to file your own bug report.
Comment 9 Dave Theodore 2006-03-08 13:22:12 EST
Created attachment 125824 [details]
/var/log/messages with usb details

As I previously mentioned, I have a large amount of iptables logging happening,
so it is not practical for me to include the entire /var/log/messages or output
of dmesg, due to the large amount of noise.
Comment 10 Dave Theodore 2006-03-08 13:26:53 EST
Since I opened this bug, I have gone to the 2.4.21-37.0.1.ELsmp kernel with
identical results.  Per your suggestion, I modprobed up usb-uhci and there was
no detectable change in the issue.  I have this exact same problem on two HP
DL380's.  One is a G3 with a VIA USB2 chipset card in a PCI slot (since the G3
only has onboard USB1) and a G4 with an Intel chipset USB2 controller.  All are
running the  2.4.21-37.0.1.ELsmp kernel at present and all exhibit identical
symptoms.  
Comment 11 Dave Theodore 2006-03-08 13:30:05 EST
Created attachment 125826 [details]
ehci-hcd /var/log/messages setails

Including the stuff related to ehci-hcd
Comment 12 Pete Zaitcev 2006-03-08 14:25:22 EST
Thanks for trying, Dave. I should have asked you earlier. But it's not
a good news that usb-uhci does not fix the issue.

The dmesg cannot be too big, it's limited by the size of the kernel
buffer. Please attach an unfiltered dmesg output (with both ehci-hcd
and usb-uhci in /etc/modules.conf - kudzu should create correct entries).

Since you're talking about the iptables noise, I deduce you may be
limited in number of reboots, is that right? Is there a box where we
can experiemnt more freely?
Comment 13 Dave Theodore 2006-03-08 15:05:12 EST
Created attachment 125832 [details]
syslog from reboot

Well, all the errors that the usb is spewing is filling the buffer, so I can't
get a dmesg with the disk attached.  This is the syslog from a reboot.	I can
freely reboot this machine for testing purposes, but not the HP boxes.	Ideally
this will be my testbed for the other 2 machines.  I will remove the usb disk
later today and attach a dmesg, but you can see what is going on from the
syslog.
Comment 14 Dave Theodore 2006-03-08 15:06:38 EST
I turned off iptables logging for the time being.  I don't use kudzu, but I can
give that a try.
Comment 15 Pete Zaitcev 2006-03-08 16:56:30 EST
No, kudzu is not essential. All it does is produce a correct syntax for
/etc/modules.conf, to have uhci and ehci loaded at boot. But we know
that it does not help.

We can cut one thin branch of the fault tree, perhaps, if you somehow
manage the thing to boot and load uhci first and ehci next. Perhaps the
bus sharing is not working right on some VIA silicon families, in which
case the order makes a difference. We had some special-casing for this
in /etc/rc.d/rc.sysinit on RHEL-3. If I remember right, the syntax is:
 alias usb-controller usb-uhci
 alias usb-controller1 ehci-hcd

To step on the same problem on three systems would be an extraordinary
luck though...
Comment 16 Pete Zaitcev 2006-03-08 21:34:18 EST
And a follow-up question here... There's a phrase in the original report,
"EL4 works". Should I take it as "RHEL 4 works"? If yes, I'd like to see
the dmesg and /proc/bus/usb/devices from it on the experimental box,
if possible. They are not directly comparable with counterparts above
but at least we will know which device plugs where, and the bus speeds.

I prefer dmesg to /var/log/messages because it syslogd often filters in
inconvenient ways. The attachement in comment #13 may not give the
complete picture. You could get dmesg instead of /var/log/messages,
that would help.
Comment 17 Dave Theodore 2006-03-08 22:56:59 EST
EL4 and more specifically, RHEL4U2.  I don't have an easy way to have RHEL4 on
my testbed hardware, but I do have it running on several HP machines with
onboard USB2 Intel chipset, and several machines with the same VIA chipset USB2
card that is in my testbed.  All work properly.  Unfortunately, the machines
that I really need USB2 on are the RHEL3 machines.  At present, I am mounting
the USB storage on an EL4 machine and rsyncing over ssh.  It's a pita because I
need to modify firewall rules in order to allow this.  
Comment 18 Dave Theodore 2006-03-08 23:00:27 EST
Created attachment 125856 [details]
dmesg output baseline

I did a reboot with my previous config as a baseline.  Previous module order:
alias usb-controller ehci-hcd
alias usb-controller1 usb-uhci
Comment 19 Dave Theodore 2006-03-08 23:02:43 EST
Created attachment 125857 [details]
dmesg output with module load reorder

modules.conf order now:

alias usb-controller usb-uhci
alias usb-controller1 ehci-hcd
Comment 20 Dave Theodore 2006-03-08 23:04:14 EST
Created attachment 125858 [details]
dmesg output after plugging in USB disk

There is no apparent change from the previous behavior.
Comment 21 Dave Theodore 2006-03-08 23:09:05 EST
[root@nucleus proc]# cat partitions
major minor  #blocks  name     rio rmerge rsect ruse wio wmerge wsect wuse
running use aveq

   8     0  292969136 sda 4335 16561 131122 68800 10557 7144 139828 16460 0
23620 85260
   8     1     104391 sda1 31 556 1174 300 8 3 22 20 0 200 320
   8     2    4096575 sda2 540 3103 19498 7470 8577 3854 99472 8840 0 9360 16310
   8     3    3068415 sda3 3233 8950 97434 16710 1537 2668 33872 4180 0 14510 20890
   8     4          1 sda4 0 0 0 0 0 0 0 0 0 0 0
   8     5    1052226 sda5 27 668 2200 180 0 0 0 0 0 80 180
   8     6     522081 sda6 56 1567 3246 580 124 211 670 770 0 980 1350
   8     7  284117526 sda7 444 1705 7538 43520 311 408 5792 2650 0 4410 46170
   8    16   71132000 sdb 20 43 186 90 3 0 24 20 0 110 110
   8    17   71127756 sdb1 19 40 178 80 3 0 24 20 0 100 100
[root@nucleus proc]#


I would expect the USB disk to show up as sdc
Comment 22 Dave Theodore 2006-03-08 23:13:34 EST
Created attachment 125859 [details]
/proc/bus/usb/devices

cat /proc/bus/usb/devices > devices.out
Comment 23 Dave Theodore 2006-03-08 23:15:42 EST
Comment #22  /proc/bus/usb/devices from the RHEL3 box running
2.4.21-37.0.1.ELsmp kernel.  I will attach this from a RHEL4 box tomorrow.
Comment 24 Pete Zaitcev 2006-03-08 23:42:22 EST
Yes, please. The dmesg on RHEL 3 does not show a device, meaning that even
the enumeration didn't complete. I thought maybe you could boot off a CD
in rescue mode, mount usbfs, and write /proc/bus/usb/devices to a floppy
or something...
Comment 25 Rainer Traut 2006-05-16 05:30:40 EDT
I see this problem on FC5 i386, too.
It works fine though on EL4 U3 x86_64, while I have not tested EL4 i386.

Here is the dmesg of on fc5 box, kernel 2.6.16-1.2111_FC5, Dell Optiplex GX260,
Usb20, HDD Iomega 120GB:
# dmesg |grep usb
usbcore: registered new driver usbfs
usbcore: registered new driver hub
usbcore: registered new driver libusual
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
usb usb1: configuration #1 chosen from 1 choice
usb usb2: configuration #1 chosen from 1 choice
usb usb3: configuration #1 chosen from 1 choice
usb usb4: configuration #1 chosen from 1 choice
usb 1-2: new low speed USB device using uhci_hcd and address 2
usb 4-4: new high speed USB device using ehci_hcd and address 3
usb 4-4: device descriptor read/64, error -71
usb 4-4: device descriptor read/64, error -71
usb 4-4: new high speed USB device using ehci_hcd and address 4
usb 4-4: device descriptor read/64, error -71
usb 4-4: device descriptor read/64, error -71
usb 4-4: new high speed USB device using ehci_hcd and address 5
usb 4-4: device not accepting address 5, error -71
usb 4-4: new high speed USB device using ehci_hcd and address 6
usb 4-4: device not accepting address 6, error -71
usb 1-2: new low speed USB device using uhci_hcd and address 3
usb 1-2: configuration #1 chosen from 1 choice
input: USB HID v1.10 Mouse [Logitech USB Optical Mouse] on usb-0000:00:1d.0-2  

The same device works fine on EL4 U3:
usb 1-6: new high speed USB device using address 4
Initializing USB Mass Storage driver...
scsi3 : SCSI emulation for USB Mass Storage devices
  Vendor: IC35L120  Model: AVV207-0          Rev: V24O
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sdb: 241254721 512-byte hdwr sectors (123522 MB)
sdb: assuming drive cache: write through
SCSI device sdb: 241254721 512-byte hdwr sectors (123522 MB)
sdb: assuming drive cache: write through
 sdb: sdb1
Attached scsi disk sdb at scsi3, channel 0, id 0, lun 0
Attached scsi generic sg2 at scsi3, channel 0, id 0, lun 0,  type 0
USB Mass Storage device found at 4
usbcore: registered new driver usb-storage
USB Mass Storage support registered.

As this affects FC5 should I file another bug report?
Comment 26 RHEL Product and Program Management 2007-10-19 14:51:46 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.